package fr.sanchezm.attestationsCovid19.data.repository

import fr.sanchezm.attestationsCovid19.data.db.dao.ConfigDao
import fr.sanchezm.attestationsCovid19.data.db.entity.Config

class ConfigRepository private constructor(private val configDao: ConfigDao) {

    fun getConfig() = configDao.getConfig()

    fun updateConfig(config: Config) = configDao.updateConfig(config)

    companion object {
        @Volatile
        private var instance: ConfigRepository? = null

        fun getInstance(configDao: ConfigDao) =
            instance ?: synchronized(this) {
                instance ?: ConfigRepository(configDao).also { instance = it }
            }
    }
}